alias buf2html {
  if (!$isfile($scriptdirirc2html.dll)) {
    echo -a ERROR: irc2html.dll missing
    return
  }
  var %irtmp = $scriptdirirc2html.tmp
  if ($window(@i2h)) close -@ @i2h
  window -h @i2h

  if ($window($1-)) var %@ = $1-
  else var %@ = $active

  if (%@ == status window) {
    filter -sw @i2h
    savebuf @i2h %irtmp
  }
  elseif (=* iswm %@) {
    savebuf %@ %irtmp
  }
  else {
    filter -ww %@ @i2h
    savebuf @i2h %irtmp
  }
  close -@ @i2h

  %i = $log2html(1,%@)
  remove %irtmp
  if ($gettok(%i,2,63) != S_OK) {
    echo -a ERROR: $ifmatch
  }
  else {
    run " $+ $gettok(%i,1,63) $+ "
  }
}
alias log2html {
  if ($1 !isnum) tokenize 32 0 $1-
  if (!$1) {
    if (!$isfile($2-)) {
      echo -a ERROR: file $1- doesn't exists
      return
    }
  }
  if ($window(@i2h)) close -@ @i2h
  window -h @i2h
  var %font = $window(@i2h).font
  var %fontsize = $window(@i2h).fontsize

  close -@ @i2h
  if ($1) {
    var %fn = $scriptdir $+ $mkfn($2-) $+ .html
    var %inf = $scriptdirirc2html.tmp
  }
  else {
    var %fn = $2- $+ .html
    var %inf = $2-
  }
  var %parms = $+(%inf,?,%fn,?,%font,?,%fontsize,?,$color(normal text),?,$color(background))
  var %i = 0
  while (%i < 16) {
    %parms = %parms $+ ? $+ $color(%i)
    inc %i
  }
  %i = $dll($scriptdirirc2html.dll,irc2html,%parms)
  if ($isid)  return %fn $+ ? $+ %i
  if (%i != S_OK) {
    echo -a ERROR: $ifmatch
  }
  else {
    run " $+ %fn $+ "
  }
}
